Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5118)
@@ -1394,257 +1390,257 @@
     include "paramet.h"
 
-    INTEGER, INTENT(IN)   :: timestep
-
-    LOGICAL, SAVE         :: first=.TRUE.
-! Identification fichiers et variables NetCDF:
-    INTEGER, SAVE         :: ncidu,varidu,ncidv,varidv,ncidp,varidp
-    INTEGER, SAVE         :: ncidQ,varidQ,ncidt,varidt,ncidps,varidps
-    INTEGER               :: ncidpl,varidpl,varidap,varidbp
-! Variables auxiliaires NetCDF:
-    INTEGER, DIMENSION(4) :: start,count
-    INTEGER               :: status,rcode
-! Variables for 3D extension:
-    REAL, DIMENSION (jjp1,llm) :: zu
-    REAL, DIMENSION (jjm,llm)  :: zv
-    INTEGER               :: i
-
-    CHARACTER (len = 80)   :: abort_message
-    CHARACTER (len = 20)   :: modname = 'guide_read2D'
-! -----------------------------------------------------------------
-! Premier appel: initialisation de la lecture des fichiers
-! -----------------------------------------------------------------
+    INTEGER, INTENT(IN) :: timestep
+
+    LOGICAL, SAVE :: first = .TRUE.
+    ! Identification fichiers et variables NetCDF:
+    INTEGER, SAVE :: ncidu, varidu, ncidv, varidv, ncidp, varidp
+    INTEGER, SAVE :: ncidQ, varidQ, ncidt, varidt, ncidps, varidps
+    INTEGER :: ncidpl, varidpl, varidap, varidbp
+    ! Variables auxiliaires NetCDF:
+    INTEGER, DIMENSION(4) :: start, count
+    INTEGER :: status, rcode
+    ! Variables for 3D extension:
+    REAL, DIMENSION (jjp1, llm) :: zu
+    REAL, DIMENSION (jjm, llm) :: zv
+    INTEGER :: i
+
+    CHARACTER (len = 80) :: abort_message
+    CHARACTER (len = 20) :: modname = 'guide_read2D'
+    ! -----------------------------------------------------------------
+    ! Premier appel: initialisation de la lecture des fichiers
+    ! -----------------------------------------------------------------
     IF (first) THEN
-         ncidpl=-99
-         WRITE(*,*)trim(modname)//' : opening nudging files '
-! Ap et Bp si niveaux de pression hybrides
-         IF (guide_plevs==1) THEN
-           WRITE(*,*)trim(modname)//' Reading nudging on model levels'
-           rcode = nf90_open('apbp.nc', nf90_nowrite, ncidpl)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no file apbp.nc'
-           CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           rcode = nf90_inq_varid(ncidpl, 'AP', varidap)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no AP variable in file apbp.nc'
-           CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           rcode = nf90_inq_varid(ncidpl, 'BP', varidbp)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no BP variable in file apbp.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           WRITE(*,*)trim(modname)//'ncidpl,varidap',ncidpl,varidap
-         endif
-! Pression
-         IF (guide_plevs==2) THEN
-           rcode = nf90_open('P.nc', nf90_nowrite, ncidp)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no file P.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           rcode = nf90_inq_varid(ncidp, 'PRES', varidp)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no PRES variable in file P.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           WRITE(*,*)trim(modname)//' ncidp,varidp',ncidp,varidp
-           IF (ncidpl==-99) ncidpl=ncidp
-         endif
-! Vent zonal
-         IF (guide_u) THEN
-           rcode = nf90_open('u.nc', nf90_nowrite, ncidu)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no file u.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           rcode = nf90_inq_varid(ncidu, 'UWND', varidu)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no UWND variable in file u.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           WRITE(*,*)trim(modname)//' ncidu,varidu',ncidu,varidu
-           IF (ncidpl==-99) ncidpl=ncidu
-         endif
-! Vent meridien
-         IF (guide_v) THEN
-           rcode = nf90_open('v.nc', nf90_nowrite, ncidv)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no file v.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           rcode = nf90_inq_varid(ncidv, 'VWND', varidv)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no VWND variable in file v.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           WRITE(*,*)trim(modname)//' ncidv,varidv',ncidv,varidv
-           IF (ncidpl==-99) ncidpl=ncidv
-         endif
-! Temperature
-         IF (guide_T) THEN
-           rcode = nf90_open('T.nc', nf90_nowrite, ncidt)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no file T.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           rcode = nf90_inq_varid(ncidt, 'AIR', varidt)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no AIR variable in file T.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           WRITE(*,*)trim(modname)//' ncidT,varidT',ncidt,varidt
-           IF (ncidpl==-99) ncidpl=ncidt
-         endif
-! Humidite
-         IF (guide_Q) THEN
-           rcode = nf90_open('hur.nc', nf90_nowrite, ncidQ)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no file hur.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           rcode = nf90_inq_varid(ncidQ, 'RH', varidQ)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no RH,variable in file hur.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           WRITE(*,*)trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
-           IF (ncidpl==-99) ncidpl=ncidQ
-         endif
-! Pression de surface
-         IF ((guide_P).OR.(guide_modele)) THEN
-           rcode = nf90_open('ps.nc', nf90_nowrite, ncidps)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no file ps.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           rcode = nf90_inq_varid(ncidps, 'SP', varidps)
-           IF (rcode/=nf90_noerr) THEN
-             abort_message='Nudging: error -> no SP variable in file ps.nc'
-             CALL abort_gcm(modname,abort_message,1)
-           ENDIF
-           WRITE(*,*)trim(modname)//' ncidps,varidps',ncidps,varidps
-         endif
-! Coordonnee verticale
-         IF (guide_plevs==0) THEN
-           rcode = nf90_inq_varid(ncidpl, 'LEVEL', varidpl)
-           IF (rcode/=0) rcode = nf90_inq_varid(ncidpl, 'PRESSURE', varidpl)
-           WRITE(*,*)trim(modname)//' ncidpl,varidpl',ncidpl,varidpl
-         endif
-! Coefs ap, bp pour calcul de la pression aux differents niveaux
-         IF (guide_plevs==1) THEN
-             status=nf90_get_var(ncidpl,varidap,apnc,[1],[nlevnc])
-             status=nf90_get_var(ncidpl,varidbp,bpnc,[1],[nlevnc])
-         elseif (guide_plevs==0) THEN
-             status=nf90_get_var(ncidpl,varidpl,apnc,[1],[nlevnc])
-             apnc=apnc*100.! conversion en Pascals
-             bpnc(:)=0.
-         endif
-         first=.FALSE.
-     endif ! (first)
-
-! -----------------------------------------------------------------
-!   lecture des champs u, v, T, Q, ps
-! -----------------------------------------------------------------
-
-!  dimensions pour les champs scalaires et le vent zonal
-     start(1)=1
-     start(2)=1
-     start(3)=1
-     start(4)=timestep
-
-     count(1)=1
-     count(2)=jjp1
-     count(3)=nlevnc
-     count(4)=1
-
-!  Pression
-     IF (guide_plevs==2) THEN
-         status=nf90_get_var(ncidp,varidp,zu,start,count)
-         DO i=1,iip1
-             pnat2(i,:,:)=zu(:,:)
-         ENDDO
-
-         IF (invert_y) THEN
-!           PRINT*,"Invertion impossible actuellement"
-!           CALL abort_gcm(modname,abort_message,1)
-           CALL invert_lat(iip1,jjp1,nlevnc,pnat2)
-         ENDIF
-     endif
-!  Vent zonal
-     IF (guide_u) THEN
-         status=nf90_get_var(ncidu,varidu,zu,start,count)
-         DO i=1,iip1
-             unat2(i,:,:)=zu(:,:)
-         ENDDO
-
-         IF (invert_y) THEN
-           CALL invert_lat(iip1,jjp1,nlevnc,unat2)
-         ENDIF
-
-     endif
-
-!  Temperature
-     IF (guide_T) THEN
-         status=nf90_get_var(ncidt,varidt,zu,start,count)
-         DO i=1,iip1
-             tnat2(i,:,:)=zu(:,:)
-         ENDDO
-
-         IF (invert_y) THEN
-           CALL invert_lat(iip1,jjp1,nlevnc,tnat2)
-         ENDIF
-
-     endif
-
-!  Humidite
-     IF (guide_Q) THEN
-         status=nf90_get_var(ncidQ,varidQ,zu,start,count)
-         DO i=1,iip1
-             qnat2(i,:,:)=zu(:,:)
-         ENDDO
-
-         IF (invert_y) THEN
-           CALL invert_lat(iip1,jjp1,nlevnc,qnat2)
-         ENDIF
-
-     endif
-
-!  Vent meridien
-     IF (guide_v) THEN
-         count(2)=jjm
-         status=nf90_get_var(ncidv,varidv,zv,start,count)
-         DO i=1,iip1
-             vnat2(i,:,:)=zv(:,:)
-         ENDDO
-
-         IF (invert_y) THEN
-           CALL invert_lat(iip1,jjm,nlevnc,vnat2)
-         ENDIF
-
-     endif
-
-!  Pression de surface
-     IF ((guide_P).OR.(guide_plevs==1))  THEN
-         start(3)=timestep
-         start(4)=0
-         count(2)=jjp1
-         count(3)=1
-         count(4)=0
-         status=nf90_get_var(ncidps,varidps,zu(:,1),start,count)
-         DO i=1,iip1
-             psnat2(i,:)=zu(:,1)
-         ENDDO
-
-         IF (invert_y) THEN
-           CALL invert_lat(iip1,jjp1,1,psnat2)
-         ENDIF
-
-     endif
+      ncidpl = -99
+      WRITE(*, *)trim(modname) // ' : opening nudging files '
+      ! Ap et Bp si niveaux de pression hybrides
+      IF (guide_plevs==1) THEN
+        WRITE(*, *)trim(modname) // ' Reading nudging on model levels'
+        rcode = nf90_open('apbp.nc', nf90_nowrite, ncidpl)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file apbp.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidpl, 'AP', varidap)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no AP variable in file apbp.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidpl, 'BP', varidbp)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no BP variable in file apbp.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *)trim(modname) // 'ncidpl,varidap', ncidpl, varidap
+      endif
+      ! Pression
+      IF (guide_plevs==2) THEN
+        rcode = nf90_open('P.nc', nf90_nowrite, ncidp)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file P.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidp, 'PRES', varidp)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no PRES variable in file P.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *)trim(modname) // ' ncidp,varidp', ncidp, varidp
+        IF (ncidpl==-99) ncidpl = ncidp
+      endif
+      ! Vent zonal
+      IF (guide_u) THEN
+        rcode = nf90_open('u.nc', nf90_nowrite, ncidu)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file u.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidu, 'UWND', varidu)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no UWND variable in file u.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *)trim(modname) // ' ncidu,varidu', ncidu, varidu
+        IF (ncidpl==-99) ncidpl = ncidu
+      endif
+      ! Vent meridien
+      IF (guide_v) THEN
+        rcode = nf90_open('v.nc', nf90_nowrite, ncidv)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file v.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidv, 'VWND', varidv)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no VWND variable in file v.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *)trim(modname) // ' ncidv,varidv', ncidv, varidv
+        IF (ncidpl==-99) ncidpl = ncidv
+      endif
+      ! Temperature
+      IF (guide_T) THEN
+        rcode = nf90_open('T.nc', nf90_nowrite, ncidt)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file T.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidt, 'AIR', varidt)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no AIR variable in file T.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *)trim(modname) // ' ncidT,varidT', ncidt, varidt
+        IF (ncidpl==-99) ncidpl = ncidt
+      endif
+      ! Humidite
+      IF (guide_Q) THEN
+        rcode = nf90_open('hur.nc', nf90_nowrite, ncidQ)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file hur.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidQ, 'RH', varidQ)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no RH,variable in file hur.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *)trim(modname) // ' ncidQ,varidQ', ncidQ, varidQ
+        IF (ncidpl==-99) ncidpl = ncidQ
+      endif
+      ! Pression de surface
+      IF ((guide_P).OR.(guide_modele)) THEN
+        rcode = nf90_open('ps.nc', nf90_nowrite, ncidps)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file ps.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidps, 'SP', varidps)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no SP variable in file ps.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *)trim(modname) // ' ncidps,varidps', ncidps, varidps
+      endif
+      ! Coordonnee verticale
+      IF (guide_plevs==0) THEN
+        rcode = nf90_inq_varid(ncidpl, 'LEVEL', varidpl)
+        IF (rcode/=0) rcode = nf90_inq_varid(ncidpl, 'PRESSURE', varidpl)
+        WRITE(*, *)trim(modname) // ' ncidpl,varidpl', ncidpl, varidpl
+      endif
+      ! Coefs ap, bp pour calcul de la pression aux differents niveaux
+      IF (guide_plevs==1) THEN
+        status = nf90_get_var(ncidpl, varidap, apnc, [1], [nlevnc])
+        status = nf90_get_var(ncidpl, varidbp, bpnc, [1], [nlevnc])
+      elseif (guide_plevs==0) THEN
+        status = nf90_get_var(ncidpl, varidpl, apnc, [1], [nlevnc])
+        apnc = apnc * 100.! conversion en Pascals
+        bpnc(:) = 0.
+      endif
+      first = .FALSE.
+    endif ! (first)
+
+    ! -----------------------------------------------------------------
+    !   lecture des champs u, v, T, Q, ps
+    ! -----------------------------------------------------------------
+
+    !  dimensions pour les champs scalaires et le vent zonal
+    start(1) = 1
+    start(2) = 1
+    start(3) = 1
+    start(4) = timestep
+
+    count(1) = 1
+    count(2) = jjp1
+    count(3) = nlevnc
+    count(4) = 1
+
+    !  Pression
+    IF (guide_plevs==2) THEN
+      status = nf90_get_var(ncidp, varidp, zu, start, count)
+      DO i = 1, iip1
+        pnat2(i, :, :) = zu(:, :)
+      ENDDO
+
+      IF (invert_y) THEN
+        !           PRINT*,"Invertion impossible actuellement"
+        !           CALL abort_gcm(modname,abort_message,1)
+        CALL invert_lat(iip1, jjp1, nlevnc, pnat2)
+      ENDIF
+    endif
+    !  Vent zonal
+    IF (guide_u) THEN
+      status = nf90_get_var(ncidu, varidu, zu, start, count)
+      DO i = 1, iip1
+        unat2(i, :, :) = zu(:, :)
+      ENDDO
+
+      IF (invert_y) THEN
+        CALL invert_lat(iip1, jjp1, nlevnc, unat2)
+      ENDIF
+
+    endif
+
+    !  Temperature
+    IF (guide_T) THEN
+      status = nf90_get_var(ncidt, varidt, zu, start, count)
+      DO i = 1, iip1
+        tnat2(i, :, :) = zu(:, :)
+      ENDDO
+
+      IF (invert_y) THEN
+        CALL invert_lat(iip1, jjp1, nlevnc, tnat2)
+      ENDIF
+
+    endif
+
+    !  Humidite
+    IF (guide_Q) THEN
+      status = nf90_get_var(ncidQ, varidQ, zu, start, count)
+      DO i = 1, iip1
+        qnat2(i, :, :) = zu(:, :)
+      ENDDO
+
+      IF (invert_y) THEN
+        CALL invert_lat(iip1, jjp1, nlevnc, qnat2)
+      ENDIF
+
+    endif
+
+    !  Vent meridien
+    IF (guide_v) THEN
+      count(2) = jjm
+      status = nf90_get_var(ncidv, varidv, zv, start, count)
+      DO i = 1, iip1
+        vnat2(i, :, :) = zv(:, :)
+      ENDDO
+
+      IF (invert_y) THEN
+        CALL invert_lat(iip1, jjm, nlevnc, vnat2)
+      ENDIF
+
+    endif
+
+    !  Pression de surface
+    IF ((guide_P).OR.(guide_plevs==1))  THEN
+      start(3) = timestep
+      start(4) = 0
+      count(2) = jjp1
+      count(3) = 1
+      count(4) = 0
+      status = nf90_get_var(ncidps, varidps, zu(:, 1), start, count)
+      DO i = 1, iip1
+        psnat2(i, :) = zu(:, 1)
+      ENDDO
+
+      IF (invert_y) THEN
+        CALL invert_lat(iip1, jjp1, 1, psnat2)
+      ENDIF
+
+    endif
 
   END SUBROUTINE guide_read2D
-  
-!=======================================================================
-  SUBROUTINE guide_out(varname,hsize,vsize,field)
+
+  !=======================================================================
+  SUBROUTINE guide_out(varname, hsize, vsize, field)
 
     USE comconst_mod, ONLY: pi
@@ -1657,162 +1653,164 @@
     INCLUDE "paramet.h"
     INCLUDE "comgeom2.h"
-    
+
     ! Variables entree
-    CHARACTER*(*), INTENT(IN)                          :: varname
-    INTEGER,   INTENT (IN)                         :: hsize,vsize
-    REAL, DIMENSION (iip1,hsize,vsize), INTENT(IN) :: field
+    CHARACTER*(*), INTENT(IN) :: varname
+    INTEGER, INTENT (IN) :: hsize, vsize
+    REAL, DIMENSION (iip1, hsize, vsize), INTENT(IN) :: field
 
     ! Variables locales
-    INTEGER, SAVE :: timestep=0
+    INTEGER, SAVE :: timestep = 0
     ! Identites fichier netcdf
-    INTEGER       :: nid, id_lonu, id_lonv, id_latu, id_latv, id_tim, id_lev
-    INTEGER       :: vid_lonu,vid_lonv,vid_latu,vid_latv,vid_cu,vid_cv,vid_lev
-    INTEGER       :: vid_au,vid_av, varid_alpha_t, varid_alpha_q
+    INTEGER :: nid, id_lonu, id_lonv, id_latu, id_latv, id_tim, id_lev
+    INTEGER :: vid_lonu, vid_lonv, vid_latu, vid_latv, vid_cu, vid_cv, vid_lev
+    INTEGER :: vid_au, vid_av, varid_alpha_t, varid_alpha_q
     INTEGER, DIMENSION (3) :: dim3
-    INTEGER, DIMENSION (4) :: dim4,count,start
-    INTEGER                :: ierr, varid,l
-    REAL, DIMENSION (iip1,hsize,vsize) :: field2
-    CHARACTER(LEN=20),PARAMETER :: modname="guide_out"
-
-    WRITE(*,*)trim(modname)//': output timestep',timestep,'var ',varname
+    INTEGER, DIMENSION (4) :: dim4, count, start
+    INTEGER :: ierr, varid, l
+    REAL, DIMENSION (iip1, hsize, vsize) :: field2
+    CHARACTER(LEN = 20), PARAMETER :: modname = "guide_out"
+
+    WRITE(*, *)trim(modname) // ': output timestep', timestep, 'var ', varname
     IF (timestep==0) THEN
-! ----------------------------------------------
-! initialisation fichier de sortie
-! ----------------------------------------------
-! Ouverture du fichier
-        ierr=nf90_create("guide_ins.nc",IOR(nf90_clobber,nf90_64bit_offset),nid)
-! Definition des dimensions
-        ierr=nf90_def_dim(nid,"LONU",iip1,id_lonu)
-        ierr=nf90_def_dim(nid,"LONV",iip1,id_lonv)
-        ierr=nf90_def_dim(nid,"LATU",jjp1,id_latu)
-        ierr=nf90_def_dim(nid,"LATV",jjm,id_latv)
-        ierr=nf90_def_dim(nid,"LEVEL",llm,id_lev)
-        ierr=nf90_def_dim(nid,"TIME",nf90_unlimited,id_tim)
-
-! Creation des variables dimensions
-        ierr=nf90_def_var(nid,"LONU",nf90_float,id_lonu,vid_lonu)
-        ierr=nf90_def_var(nid,"LONV",nf90_float,id_lonv,vid_lonv)
-        ierr=nf90_def_var(nid,"LATU",nf90_float,id_latu,vid_latu)
-        ierr=nf90_def_var(nid,"LATV",nf90_float,id_latv,vid_latv)
-        ierr=nf90_def_var(nid,"LEVEL",nf90_float,id_lev,vid_lev)
-        ierr=nf90_def_var(nid,"cu",nf90_float,(/id_lonu,id_latu/),vid_cu)
-        ierr=nf90_def_var(nid,"cv",nf90_float,(/id_lonv,id_latv/),vid_cv)
-        ierr=nf90_def_var(nid,"au",nf90_float,(/id_lonu,id_latu/),vid_au)
-        ierr=nf90_def_var(nid,"av",nf90_float,(/id_lonv,id_latv/),vid_av)
-        CALL nf95_def_var(nid, "alpha_T", nf90_float, (/id_lonv, id_latu/), &
-             varid_alpha_t)
-        CALL nf95_def_var(nid, "alpha_q", nf90_float, (/id_lonv, id_latu/), &
-             varid_alpha_q)
-        
-        ierr=nf90_enddef(nid)
-
-! Enregistrement des variables dimensions
-        ierr = nf90_put_var(nid,vid_lonu,rlonu*180./pi)
-        ierr = nf90_put_var(nid,vid_lonv,rlonv*180./pi)
-        ierr = nf90_put_var(nid,vid_latu,rlatu*180./pi)
-        ierr = nf90_put_var(nid,vid_latv,rlatv*180./pi)
-        ierr = nf90_put_var(nid,vid_lev,presnivs)
-        ierr = nf90_put_var(nid,vid_cu,cu)
-        ierr = nf90_put_var(nid,vid_cv,cv)
-        ierr = nf90_put_var(nid,vid_au,alpha_u)
-        ierr = nf90_put_var(nid,vid_av,alpha_v)
-        CALL nf95_put_var(nid, varid_alpha_t, alpha_t)
-        CALL nf95_put_var(nid, varid_alpha_q, alpha_q)
-! --------------------------------------------------------------------
-! Création des variables sauvegardées
-! --------------------------------------------------------------------
-        ierr = nf90_redef(nid)
-! Pressure (GCM)
-        dim4=(/id_lonv,id_latu,id_lev,id_tim/)
-        ierr = nf90_def_var(nid,"SP",nf90_float,dim4,varid)
-! Surface pressure (guidage)
-        IF (guide_P) THEN
-            dim3=(/id_lonv,id_latu,id_tim/)
-            ierr = nf90_def_var(nid,"ps",nf90_float,dim3,varid)
-        ENDIF
-! Zonal wind
-        IF (guide_u) THEN
-            dim4=(/id_lonu,id_latu,id_lev,id_tim/)
-            ierr = nf90_def_var(nid,"u",nf90_float,dim4,varid)
-            ierr = nf90_def_var(nid,"ua",nf90_float,dim4,varid)
-            ierr = nf90_def_var(nid,"ucov",nf90_float,dim4,varid)
-        ENDIF
-! Merid. wind
-        IF (guide_v) THEN
-            dim4=(/id_lonv,id_latv,id_lev,id_tim/)
-            ierr = nf90_def_var(nid,"v",nf90_float,dim4,varid)
-            ierr = nf90_def_var(nid,"va",nf90_float,dim4,varid)
-            ierr = nf90_def_var(nid,"vcov",nf90_float,dim4,varid)
-        ENDIF
-! Pot. Temperature
-        IF (guide_T) THEN
-            dim4=(/id_lonv,id_latu,id_lev,id_tim/)
-            ierr = nf90_def_var(nid,"teta",nf90_float,dim4,varid)
-        ENDIF
-! Specific Humidity
-        IF (guide_Q) THEN
-            dim4=(/id_lonv,id_latu,id_lev,id_tim/)
-            ierr = nf90_def_var(nid,"q",nf90_float,dim4,varid)
-        ENDIF
-        
-        ierr = nf90_enddef(nid)
-        ierr = nf90_close(nid)
+      ! ----------------------------------------------
+      ! initialisation fichier de sortie
+      ! ----------------------------------------------
+      ! Ouverture du fichier
+      ierr = nf90_create("guide_ins.nc", IOR(nf90_clobber, nf90_64bit_offset), nid)
+      ! Definition des dimensions
+      ierr = nf90_def_dim(nid, "LONU", iip1, id_lonu)
+      ierr = nf90_def_dim(nid, "LONV", iip1, id_lonv)
+      ierr = nf90_def_dim(nid, "LATU", jjp1, id_latu)
+      ierr = nf90_def_dim(nid, "LATV", jjm, id_latv)
+      ierr = nf90_def_dim(nid, "LEVEL", llm, id_lev)
+      ierr = nf90_def_dim(nid, "TIME", nf90_unlimited, id_tim)
+
+      ! Creation des variables dimensions
+      ierr = nf90_def_var(nid, "LONU", nf90_float, id_lonu, vid_lonu)
+      ierr = nf90_def_var(nid, "LONV", nf90_float, id_lonv, vid_lonv)
+      ierr = nf90_def_var(nid, "LATU", nf90_float, id_latu, vid_latu)
+      ierr = nf90_def_var(nid, "LATV", nf90_float, id_latv, vid_latv)
+      ierr = nf90_def_var(nid, "LEVEL", nf90_float, id_lev, vid_lev)
+      ierr = nf90_def_var(nid, "cu", nf90_float, (/id_lonu, id_latu/), vid_cu)
+      ierr = nf90_def_var(nid, "cv", nf90_float, (/id_lonv, id_latv/), vid_cv)
+      ierr = nf90_def_var(nid, "au", nf90_float, (/id_lonu, id_latu/), vid_au)
+      ierr = nf90_def_var(nid, "av", nf90_float, (/id_lonv, id_latv/), vid_av)
+      CALL nf95_def_var(nid, "alpha_T", nf90_float, (/id_lonv, id_latu/), &
+              varid_alpha_t)
+      CALL nf95_def_var(nid, "alpha_q", nf90_float, (/id_lonv, id_latu/), &
+              varid_alpha_q)
+
+      ierr = nf90_enddef(nid)
+
+      ! Enregistrement des variables dimensions
+      ierr = nf90_put_var(nid, vid_lonu, rlonu * 180. / pi)
+      ierr = nf90_put_var(nid, vid_lonv, rlonv * 180. / pi)
+      ierr = nf90_put_var(nid, vid_latu, rlatu * 180. / pi)
+      ierr = nf90_put_var(nid, vid_latv, rlatv * 180. / pi)
+      ierr = nf90_put_var(nid, vid_lev, presnivs)
+      ierr = nf90_put_var(nid, vid_cu, cu)
+      ierr = nf90_put_var(nid, vid_cv, cv)
+      ierr = nf90_put_var(nid, vid_au, alpha_u)
+      ierr = nf90_put_var(nid, vid_av, alpha_v)
+      CALL nf95_put_var(nid, varid_alpha_t, alpha_t)
+      CALL nf95_put_var(nid, varid_alpha_q, alpha_q)
+      ! --------------------------------------------------------------------
+      ! Création des variables sauvegardées
+      ! --------------------------------------------------------------------
+      ierr = nf90_redef(nid)
+      ! Pressure (GCM)
+      dim4 = (/id_lonv, id_latu, id_lev, id_tim/)
+      ierr = nf90_def_var(nid, "SP", nf90_float, dim4, varid)
+      ! Surface pressure (guidage)
+      IF (guide_P) THEN
+        dim3 = (/id_lonv, id_latu, id_tim/)
+        ierr = nf90_def_var(nid, "ps", nf90_float, dim3, varid)
+      ENDIF
+      ! Zonal wind
+      IF (guide_u) THEN
+        dim4 = (/id_lonu, id_latu, id_lev, id_tim/)
+        ierr = nf90_def_var(nid, "u", nf90_float, dim4, varid)
+        ierr = nf90_def_var(nid, "ua", nf90_float, dim4, varid)
+        ierr = nf90_def_var(nid, "ucov", nf90_float, dim4, varid)
+      ENDIF
+      ! Merid. wind
+      IF (guide_v) THEN
+        dim4 = (/id_lonv, id_latv, id_lev, id_tim/)
+        ierr = nf90_def_var(nid, "v", nf90_float, dim4, varid)
+        ierr = nf90_def_var(nid, "va", nf90_float, dim4, varid)
+        ierr = nf90_def_var(nid, "vcov", nf90_float, dim4, varid)
+      ENDIF
+      ! Pot. Temperature
+      IF (guide_T) THEN
+        dim4 = (/id_lonv, id_latu, id_lev, id_tim/)
+        ierr = nf90_def_var(nid, "teta", nf90_float, dim4, varid)
+      ENDIF
+      ! Specific Humidity
+      IF (guide_Q) THEN
+        dim4 = (/id_lonv, id_latu, id_lev, id_tim/)
+        ierr = nf90_def_var(nid, "q", nf90_float, dim4, varid)
+      ENDIF
+
+      ierr = nf90_enddef(nid)
+      ierr = nf90_close(nid)
     ENDIF ! timestep=0
 
-! --------------------------------------------------------------------
-! Enregistrement du champ
-! --------------------------------------------------------------------
-    ierr=nf90_open("guide_ins.nc",nf90_write,nid)
-
-    IF (varname=="SP") timestep=timestep+1
-
-    ierr = nf90_inq_varid(nid,varname,varid)
+    ! --------------------------------------------------------------------
+    ! Enregistrement du champ
+    ! --------------------------------------------------------------------
+    ierr = nf90_open("guide_ins.nc", nf90_write, nid)
+
+    IF (varname=="SP") timestep = timestep + 1
+
+    ierr = nf90_inq_varid(nid, varname, varid)
     SELECT CASE (varname)
-    CASE ("SP","ps")
-        start=(/1,1,1,timestep/)
-        count=(/iip1,jjp1,llm,1/)
-    CASE ("v","va","vcov")
-        start=(/1,1,1,timestep/)
-        count=(/iip1,jjm,llm,1/)
+    CASE ("SP", "ps")
+      start = (/1, 1, 1, timestep/)
+      count = (/iip1, jjp1, llm, 1/)
+    CASE ("v", "va", "vcov")
+      start = (/1, 1, 1, timestep/)
+      count = (/iip1, jjm, llm, 1/)
     CASE DEFAULT
-        start=(/1,1,1,timestep/)
-        count=(/iip1,jjp1,llm,1/)
+      start = (/1, 1, 1, timestep/)
+      count = (/iip1, jjp1, llm, 1/)
     END SELECT
 
     SELECT CASE (varname)
-    CASE("u","ua")
-        DO l=1,llm ; field2(:,2:jjm,l)=field(:,2:jjm,l)/cu(:,2:jjm) ; ENDDO
-        field2(:,1,:)=0. ; field2(:,jjp1,:)=0.
-    CASE("v","va")
-        DO l=1,llm ; field2(:,:,l)=field(:,:,l)/cv(:,:) ; ENDDO
+    CASE("u", "ua")
+      DO l = 1, llm ; field2(:, 2:jjm, l) = field(:, 2:jjm, l) / cu(:, 2:jjm) ;
+      ENDDO
+      field2(:, 1, :) = 0. ; field2(:, jjp1, :) = 0.
+    CASE("v", "va")
+      DO l = 1, llm ; field2(:, :, l) = field(:, :, l) / cv(:, :) ;
+      ENDDO
     CASE DEFAULT
-        field2=field
+      field2 = field
     END SELECT
 
-    ierr = nf90_put_var(nid,varid,field2,start,count)
+    ierr = nf90_put_var(nid, varid, field2, start, count)
     ierr = nf90_close(nid)
 
   END SUBROUTINE guide_out
-    
-  
-!===========================================================================
-  SUBROUTINE correctbid(iim,nl,x)
-    INTEGER iim,nl
-    REAL x(iim+1,nl)
-    INTEGER i,l
+
+
+  !===========================================================================
+  SUBROUTINE correctbid(iim, nl, x)
+    INTEGER iim, nl
+    REAL x(iim + 1, nl)
+    INTEGER i, l
     REAL zz
 
-    do l=1,nl
-        do i=2,iim-1
-            IF(abs(x(i,l))>1.e10) THEN
-               zz=0.5*(x(i-1,l)+x(i+1,l))
-              PRINT*,'correction ',i,l,x(i,l),zz
-               x(i,l)=zz
-            endif
-         enddo
-     enddo
+    do l = 1, nl
+      do i = 2, iim - 1
+        IF(abs(x(i, l))>1.e10) THEN
+          zz = 0.5 * (x(i - 1, l) + x(i + 1, l))
+          PRINT*, 'correction ', i, l, x(i, l), zz
+          x(i, l) = zz
+        endif
+      enddo
+    enddo
 
   END SUBROUTINE  correctbid
 
-!===========================================================================
+  !===========================================================================
 END MODULE guide_mod
